summaryrefslogtreecommitdiff
path: root/auth-server-poc/setup.sh
diff options
context:
space:
mode:
Diffstat (limited to 'auth-server-poc/setup.sh')
-rwxr-xr-xauth-server-poc/setup.sh50
1 files changed, 50 insertions, 0 deletions
diff --git a/auth-server-poc/setup.sh b/auth-server-poc/setup.sh
new file mode 100755
index 0000000..dd9d81d
--- /dev/null
+++ b/auth-server-poc/setup.sh
@@ -0,0 +1,50 @@
+#!/bin/bash
+
+set -e
+set -x
+
+export DEBIAN_FRONTEND noninteractive
+
+/bin/sed -i s/deb.debian.org/ftp.se.debian.org/g /etc/apt/sources.list
+
+apt-get update && \
+ apt-get -y dist-upgrade && \
+ apt-get install -y \
+ git \
+ python3-venv \
+ python3-pip \
+ python3-yaml \
+ iputils-ping \
+ procps \
+ bind9-host \
+ netcat-openbsd \
+ net-tools \
+ curl \
+ netcat \
+ nginx \
+ supervisor \
+ libssl-dev \
+ apache2-utils \
+ && apt-get clean
+
+pip3 install uwsgi
+
+# Start venv
+python3 -m venv /opt/auth-server-poc
+cd /opt/auth-server-poc
+source bin/activate
+
+/opt/auth-server-poc/bin/pip install -U pip
+
+python3 -m pip install -r requirements.txt
+
+# Temporary for testing new branch
+#cd /opt/cnaas/venv/cnaas-nms/
+#git remote update
+#git fetch
+#git checkout --track origin/feature.websocket
+#python3 -m pip install -r requirements.txt
+
+#rm -rf /var/lib/apt/lists/*
+
+